> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allium.so/llms.txt
> Use this file to discover all available pages before exploring further.

# NFT Listings by Token ID

> Get a list of NFT listings by token ID.



## OpenAPI

````yaml _openapi/nft-api.json GET /api/v1/developer/nfts/listings/{chain}/{contract_address}/{token_id}
openapi: 3.1.0
info:
  title: Allium API
  version: 0.1.0
servers:
  - url: https://api.allium.so
security: []
paths:
  /api/v1/developer/nfts/listings/{chain}/{contract_address}/{token_id}:
    get:
      tags:
        - NFTS
        - DEVELOPER
      summary: NFT Listings by Token ID
      description: Get a list of NFT listings by token ID.
      operationId: >-
        get_nft_listing_by_token_id_api_v1_developer_nfts_listings__chain___contract_address___token_id__get
      parameters:
        - name: chain
          in: path
          required: true
          schema:
            enum:
              - ethereum
              - abstract
              - apechain
              - arbitrum
              - arbitrum-nova
              - avalanche
              - base
              - optimism
              - polygon
              - shape
              - soneium
              - xai
              - zero
              - zora
            type: string
            title: Chain
        - name: contract_address
          in: path
          required: true
          schema:
            type: string
            description: Address of the NFT Contract.
            title: Contract Address
          description: Address of the NFT Contract.
        - name: token_id
          in: path
          required: true
          schema:
            type: string
            description: Token ID of the NFT.
            title: Token Id
          description: Token ID of the NFT.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            description: Number of items to return in a response.
            default: 20
            title: Limit
          description: Number of items to return in a response.
        - name: cursor
          in: query
          required: false
          schema:
            description: Cursor to paginate through results.
            title: Cursor
            type: string
          description: Cursor to paginate through results.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseEnvelopeSingleItem_NFTListing_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyBearer: []
components:
  schemas:
    ResponseEnvelopeSingleItem_NFTListing_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/NFTListing'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      type: object
      title: ResponseEnvelopeSingleItem[NFTListing]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NFTListing:
      properties:
        chain:
          type: string
          title: Chain
        contract_address:
          type: string
          title: Contract Address
        token_id:
          type: string
          title: Token Id
        maker:
          type: string
          title: Maker
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        status:
          anyOf:
            - $ref: '#/components/schemas/OrderStatus'
            - type: 'null'
        price:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Price
      type: object
      required:
        - chain
        - contract_address
        - token_id
        - maker
      title: NFTListing
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    OrderStatus:
      type: string
      enum:
        - active
        - inactive
        - expired
        - filled
        - cancelled
      title: OrderStatus
  securitySchemes:
    APIKeyBearer:
      type: apiKey
      in: header
      name: X-API-KEY

````